Name:		sys_basher
Version:	1.1.24
Release:	alt1_3
Summary:	A multithreaded hardware exerciser

Group:		File tools
License:	BSD
URL:		http://www.polybus.com/sys_basher_web/
Source0:	http://www.polybus.com/sys_basher/%{name}-%{version}.tar.gz

BuildRequires:	tcsh
BuildRequires:	lm_sensors3-devel
BuildRequires:	help2man

ExcludeArch: ppc
Source44: import.info

%description
sys_basher is a multithreaded system exerciser. It tests the CPU, RAM and Disks
under conditions of maximum stress by running CPU, Memory and Disk tests on all
Cores simultaneously. In addition to reliablity testing, sys_basher measures
low level functions including memory bandwidth, disk IO bandwidth and integer
and floating point operations using unrolled loops.

%prep
%setup -q


%build
make %{?_smp_mflags} CFLAGS="$RPM_OPT_FLAGS"


%install
make install DESTDIR=$RPM_BUILD_ROOT BINDIR=%{_bindir} MANDIR=%{_mandir}

%files
%doc README COPYRIGHT
%{_bindir}/sys_basher
%{_mandir}/man1/sys_basher.1.*


%changelog
* Mon Apr 29 2013 Igor Vlasenko <viy@altlinux.ru> 1.1.24-alt1_3
- initial fc import

